function ImageContainerController() {
    this.getAvailableHeight = function (container) {
        var imageContainerSize = container.imageContainerSize || "1/1";

        var headerSize = container.showHeader ? "40px" : "0px";
        var footerSize = container.showFooter ? "56px" : "0px";

        return "calc((100vh - (" + headerSize + " + " + footerSize + ")) * " + imageContainerSize + ")";
    };

    this.getLogoForHome = (container) => {
        if (getLocalVar('qrCodeURL')) {
            container.hasImageLogo = true;
            return window.fileServerPath + getLocalVar('qrCodeURL');
        } else {
            container.hasImageLogo = false;
            return container.imageSource;
        }
    };
}